## remake 3.82+dbg0.9+dfsg

=== debian/changelog ===
remake (3.82+dbg0.9+dfsg-1) unstable; urgency=low

  * Fresh upstream release
    - dropped emacs mode (moved into a separate project
      https://github.com/rocky/emacs-dbgr)
  * Switched to use +dfsg to assure proper version
    comparison going e.g. from 0.9+dfsg to 0.9.1+dfsg
  * Moved .gbp.conf under debian/gbp.conf
  * Added '-b debian' for Vcs-Git field since we ship Debian
    packaging within upstream repository
  * Boosted policy to 3.9.4
  * Switched to source package 3.0 (quilt) format
  * Switched to minimalistic dh 9.0 debian/rules
    - use dh-autoreconf (added also needed for it 'autopoint' build-dependency)
      (Closes: #536004)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Oct 2012 10:45:49 -0400

remake (3.81+dbg0.2~dfsg.1-1) unstable; urgency=low

  * New upstream release(s): resolved issue with deprecated emacs
    list syntax (Closes: #499956)
  * Using upstream checkout 43ea2cdf4a8cec7c1c1b9827046e71258b77008f
    instead of the latest release, since there were few fixes introduced
    since the release
  * Due to upstream switch to git, remake git repository now contains
    sources for vanilla make, remake, and Debian packaging.
  * Added VCS fields into the header.
  * Extended list of copyright holders due to added pieces.
  * Not using dpatch any longer.
  * Redoing DFSG compliance of a new remake:
    - documents with GFDL with cover pages (info/html) are removed
      and FDL license is no longer shipped
    - remake-specific info file is no longer present/shipped
    - vanilla make changelog is no longer shipped separate,
      please refer to /usr/share/doc/make/changelog.gz which contains
      entries for both make and remake
  * Updated compliance to policy 3.8.0
  * Using autotools at package build time, it required also custom clean
    up in clean rule of debian/rules

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 08 Jan 2009 21:48:42 -0500

remake (3.80+dbg0.62~dfsg.1-1) unstable; urgency=low

  * Initial release (Closes: #411174)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 24 Feb 2007 19:49:34 -0500

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure $@ -- --disable-nls --enable-maintainer-mode

=== debian/watch ===
version=3

opts="versionmangle=s/-//,dversionmangle=s/~dfsg\.\d+$//" \
  http://sf.net/bashdb/remake-(.*)\.tar\.gz debian dh_wraporig

## remake 4.1+dbg1.3~dfsg.1

=== debugger/Makefile ===
# Whatever it is you want to do, it should be handled by the 
# by the main (parent) Makefile. So reissue make from there.
.PHONY: all

all:
	$(MAKE) -C .. $@

%: all
	$(MAKE) -C .. $@

=== debugger/command/Makefile ===
# Whatever it is you want to do, it should be handled by the 
# by the main (parent) Makefile. So reissue make from there.
.PHONY: all

all:
	$(MAKE) -C ../.. $@

%: all
	$(MAKE) -C ../.. $@

## remake 4.1+dbg1.1+dfsg

=== debian/changelog ===
remake (4.1+dbg1.1+dfsg-1~nd15.04+1) vivid; urgency=medium

  * Backported for vivid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 02 Aug 2016 12:25:20 -0400

remake (4.1+dbg1.1+dfsg-1) unstable; urgency=medium

  [ Dima Kogan ]
  * New upstream release (Closes: #804180, #806552)
  * Culled remake.texi and make.texi since they are not DFSG-compliant
  * Imported some patches from the 'make' Debian package:
    - We don't get as confused with timestamp-less .a files, which are now
      made by default on Debian (Debian bugs #798804, #798913)
    - We can handle excessively long commandlines (Debian bug #688601)
    - We handle NULL return from ttyname
  * New upstream supports Guile, so we use (and Depend on) it

  [ Yaroslav Halchenko ]
  * debian/control
    - Make Dima the Maintainer and downgrade myself into Uploaders
    - Boost up policy compliance to 3.9.8 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 01 Aug 2016 19:34:00 -0400

remake (3.82+dbg0.9+dfsg-2) unstable; urgency=medium

  * debian/patches/up_texi_fixes to fix building documentation (Closes: #712346)
  * debian/remake.{pre,post}* files to remove obsolete emacs el conf file
    (Closes: #707003)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Jun 2014 13:28:19 -0400

=== debian/control ===
Source: remake
Section: devel
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Dima Kogan <dkogan@debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               autotools-dev,
               gettext, autopoint,
               autoconf, automake, texinfo,
               libreadline6-dev | libreadline-dev (>= 6),
               guile-2.0-dev
Homepage: http://bashdb.sourceforge.net/remake
Vcs-Browser: http://github.com/rocky/remake
Vcs-git: git://github.com/rocky/remake.git -b debian
Standards-Version: 3.9.8

Package: remake
Architecture: any
Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
Description: GNU make fork with improved error reporting and debugging
 Modernized version of GNU make utility that adds improved error
 reporting, the ability to trace execution in a comprehensible way, and
 a debugger. Some of the features of the debugger are:
  * see the target call stack
  * set breakpoints on targets
  * show and set variables
  * execute arbitrary "make" code
  * issue shell commands while stopped in the middle of execution
  * inspect target descriptions
  * write a file with the commands of the target expanded

## remake 4.1+dbg1.3~dfsg.1

=== debian/changelog ===
remake (4.1+dbg1.3~dfsg.1-3) unstable; urgency=medium

  * Moved to guile 2.2. (Closes: #885237)

 -- Dima Kogan <dkogan@debian.org>  Sat, 21 Sep 2019 12:09:02 -0700

remake (4.1+dbg1.3~dfsg.1-2) unstable; urgency=medium

  * Fixed FTBFS issue with glibc 2.27. Thanks to Aurelien Jarno
    <aurel32@debian.org> for the patch. (Closes: #891368)
  
 -- Dima Kogan <dkogan@debian.org>  Sat, 24 Feb 2018 16:10:49 -0800

remake (4.1+dbg1.3~dfsg.1-1) unstable; urgency=medium

  * Fresh upstream release:
    - all debian/patches/* dropped -- upstreamed
  * debian/control
    - boosted policy to 4.0.0

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 15 Oct 2017 13:35:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: remake
 Section: devel
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Dima Kogan <dkogan@debian.org>
+Maintainer: Dima Kogan <dkogan@debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
@@ -10,15 +9,15 @@
                gettext, autopoint,
                autoconf, automake, texinfo,
                libreadline6-dev | libreadline-dev (>= 6),
-               guile-2.0-dev
+               guile-2.2-dev
 Homepage: http://bashdb.sourceforge.net/remake
 Vcs-Browser: http://github.com/rocky/remake
 Vcs-git: git://github.com/rocky/remake.git -b debian
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: remake
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GNU make fork with improved error reporting and debugging
  Modernized version of GNU make utility that adds improved error
  reporting, the ability to trace execution in a comprehensible way, and

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,9 @@
 override_dh_auto_configure:
 	dh_auto_configure $@ -- --disable-nls --enable-maintainer-mode
 
+# do not ship conflicting /usr/include/gnumake.h. This lives in the 'make'
+# package, which has a library component. There's no reason to do this with
+# remake, so I simply remove it
+override_dh_install:
+	rm -rf debian/remake/usr/include
+	dh_install

=== debian/watch ===
version=3

opts="versionmangle=s/-//,dversionmangle=s/~dfsg(\.\d+)*(-.*)?$//" \
  http://sf.net/bashdb/remake-(.*)\.tar\.gz debian dh_wraporig

## remake 4.3%2Bdbg-1.6%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
        http://sf.net/bashdb/remake-(.*)\.tar\.gz

## remake 4.3%2bdbg-1.6%2bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: remake
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Dima Kogan <dkogan@debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9),
@@ -9,10 +9,10 @@
                gettext, autopoint,
                autoconf, automake, texinfo,
                libreadline6-dev | libreadline-dev (>= 6),
-               guile-2.2-dev
+               guile-3.0-dev
 Homepage: http://bashdb.sourceforge.net/remake
-Vcs-Browser: http://github.com/rocky/remake
-Vcs-git: git://github.com/rocky/remake.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/remake
+Vcs-Git: https://salsa.debian.org/debian/remake.git
 Standards-Version: 4.0.0
 
 Package: remake

## remake 4.3+dbg-1.5+dfsg

=== debian/changelog ===
remake (4.3+dbg-1.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Using guile-3.0
  * Builds with gcc-10 (Closes: #957756)
  * Normalized packaging, moved to salsa

 -- Dima Kogan <dkogan@debian.org>  Fri, 05 Jun 2020 13:31:51 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                guile-3.0-dev
 Homepage: http://bashdb.sourceforge.net/remake
 Vcs-Browser: https://salsa.debian.org/debian/remake
-Vcs-Git: https://salsa.debian.org/debian/remake.git
+Vcs-Git: https://salsa.debian.org:debian/remake.git
 Standards-Version: 4.0.0
 
 Package: remake

## remake 4.3+dbg-1.6+dfsg

=== debian/changelog ===
remake (4.3+dbg-1.6+dfsg-5) unstable; urgency=medium

  * Removed no-longer-needed warning-suppression flag (Closes: #1127156)

 -- Dima Kogan <dkogan@debian.org>  Fri, 06 Feb 2026 09:49:31 -0800

remake (4.3+dbg-1.6+dfsg-4) unstable; urgency=medium

  * Fix FTBFS on arm64 by silencing a GCS warning

 -- Dima Kogan <dkogan@debian.org>  Sun, 09 Nov 2025 17:46:31 -0800

remake (4.3+dbg-1.6+dfsg-3) unstable; urgency=medium

  * Do not redeclare getcwd (Closes: #1097786)

 -- Dima Kogan <dkogan@debian.org>  Thu, 25 Sep 2025 23:51:01 -0700

remake (4.3+dbg-1.6+dfsg-2) unstable; urgency=medium

  * Disable flaky test output-sync (Closes: #1108812)

 -- Dima Kogan <dkogan@debian.org>  Thu, 10 Jul 2025 23:40:11 -0700

remake (4.3+dbg-1.6+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Dima Kogan <dkogan@debian.org>  Fri, 09 Dec 2022 14:04:43 -0800

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with autoreconf
@@ -17,3 +18,10 @@
 override_dh_install:
 	rm -rf debian/remake/usr/include
 	dh_install
+
+# This test is a known failure in 4.3. Upstream will try to fix it for 4.4.
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1108812
+# https://github.com/Trepan-Debuggers/remake/issues/168
+override_dh_auto_test:
+	rm -f tests/scripts/features/output-sync
+	dh_auto_test
